> For the complete documentation index, see [llms.txt](https://docs.wisej.com/system.drawing.managed/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.linecap.md).

# LineCap

Namespace: **System.Drawing.Drawing2D**

Assembly: **System.Drawing.Managed** (4.0.0.0)

Specifies the available cap styles with which a [Pen](/system.drawing.managed/api/system.drawing/system.drawing.pen.md) object can end a line.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum LineCap : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum LineCap As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name              | Description                                                         |
| ----------------- | ------------------------------------------------------------------- |
| **AnchorMask**    | Specifies a mask used to check whether a line cap is an anchor cap. |
| **ArrowAnchor**   | Specifies an arrow-shaped anchor cap.                               |
| **Custom**        | Specifies a custom line cap.                                        |
| **DiamondAnchor** | Specifies a diamond anchor cap.                                     |
| **Flat**          | Specifies a flat line cap.                                          |
| **NoAnchor**      | Specifies no anchor.                                                |
| **Round**         | Specifies a round line cap.                                         |
| **RoundAnchor**   | Specifies a round anchor cap.                                       |
| **Square**        | Specifies a square line cap.                                        |
| **SquareAnchor**  | Specifies a square anchor line cap.                                 |
| **Triangle**      | Specifies a triangular line cap.                                    |

## Used By

| Name                                                                                                   | Description                                                                                                                                  |
| ------------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------------------------- |
| [Pen.EndCap](/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.linecap.md) | Gets or sets the cap style used at the end of lines drawn with this [Pen](/system.drawing.managed/api/system.drawing/system.drawing.pen.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/system.drawing.managed/api/system.drawing.drawing2d/system.drawing.drawing2d.linecap.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
